Package org.eclipse.birt.report.model.api

# Class ValueHandle

java.lang.Object
org.eclipse.birt.report.model.api.ElementDetailHandle
org.eclipse.birt.report.model.api.ValueHandle

Direct Known Subclasses:
  `ComplexValueHandle`, `SimpleValueHandle`, `StructureHandle`

public abstract class ValueHandle extends ElementDetailHandle
Abstract base class for value-based handles.

## Field Summary

### Fields inherited from class org.eclipse.birt.report.model.api.ElementDetailHandle

`elementHandle`

## Constructor Summary

Constructors
Constructor
Description
`ValueHandle(DesignElementHandle element)`
Constructs a value handle with the given element handle.

## Method Summary

Modifier and Type
Method
Description
`abstract org.eclipse.birt.report.model.core.StructureContext`
`getContext()`
Returns the structure context to the value.
`abstract IElementPropertyDefn`
`getPropertyDefn()`
Gets the property definition.
`org.eclipse.birt.report.model.core.MemberRef`
`getReference()`
Deprecated.
removed since 2.5, replaced by `getContext()`

### Methods inherited from class org.eclipse.birt.report.model.api.ElementDetailHandle

`getDesign, getElement, getElementHandle, getModule`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ValueHandle

public ValueHandle(DesignElementHandle element)
Constructs a value handle with the given element handle.

Parameters:
  `element` - a handle to a report element

## Method Details

### getPropertyDefn

public abstract IElementPropertyDefn getPropertyDefn()
Gets the property definition. This is the definition of the property that contains the specific value. If the value is a structure or member, then this is the definition of the property that contains the list that contains the structure that contains the member.

Returns:
  the property definition

### getReference

@Deprecated public org.eclipse.birt.report.model.core.MemberRef getReference()
Deprecated.
removed since 2.5, replaced by `getContext()`
Returns a reference to the value. The reference is used to identify a list entry or member.

Returns:
  a reference to the value

### getContext

public abstract org.eclipse.birt.report.model.core.StructureContext getContext()
Returns the structure context to the value. The context is used to identify a list entry or member.